stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
stdex::curl_initializer Class Reference

Context scope automatic CURL (un)initialization. More...

`#include <stdex/curl.hpp>`

## Public Member Functions
| curl_initializer (long flags)
| Initializes the CURL library.
virtual | ~curl_initializer ()
| Uninitializes CURL.

## Detailed Description

Context scope automatic CURL (un)initialization.

## Constructor & Destructor Documentation

## ◆ curl_initializer()

stdex::curl_initializer::curl_initializer | ( | long | flags | ) |
| inline

Initializes the CURL library.

See also
  curl_global_init function

## ◆ ~curl_initializer()

virtual stdex::curl_initializer::~curl_initializer | ( |  | ) |
| inline virtual

Uninitializes CURL.

See also
  curl_global_cleanup function

The documentation for this class was generated from the following file:

- include/stdex/curl.hpp